@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@300&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Kaushan+Script&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inconsolata:wght@500&display=swap");

@import url(mobile.css);

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Nunito", sans-serif;
}

html,
body {
  height: 100%;
  width: 100%;
  background-color: #fcfaf8;
  /* scroll-behavior: smooth; */
}

.followCursor {
  height: 30px;
  width: 30px;
  position: absolute;
  border-radius: 50%;
  background-color: #14cf93;
  z-index: 9999;
  mix-blend-mode: difference;
  transition: background-image cubic-bezier(0.19, 1, 0.22, 1) 1s;
}

@media only screen and (min-width: 300px) and (max-width: 767px) {
  .followCursor {
    display: none;
  }
}

.main {
  width: 100%;
  background-color: #fcfaf8;
}

/* LOADER */
#blackLoader {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-color: rgb(19, 19, 19);
  color: white;
  z-index: 999;
  /* display: none; */
}

#blackLoader #topHeading {
  position: absolute;
  top: 5%;
  left: 50%;
  transform: translate(-50%, 0);
}

#topHeading h5 {
  text-transform: uppercase;
  text-align: center;
  font-size: 13px;
}

#blackLoader h1 {
  width: 100%;
  display: flex;
  justify-content: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 5vw;
}

@media only screen and (min-width: 300px) and (max-width: 767px) {
  #blackLoader h1 {
    font-size: 4vh;
    overflow-x: hidden;
  }
}

.reveal .parent {
  overflow: hidden;
  width: 100%;
  display: flex;
  justify-content: center;
}

.reveal .parent .child {
  display: block;
}

.parent .child span {
  display: inline-block;
  font-weight: 400;
}

.surname {
  font-family: "Kaushan Script", cursive;
  color: #14cf93;
  margin-right: 1vw;
}

#greenLoader {
  position: absolute;
  top: 100%;
  width: 100%;
  height: 0vh;
  background-color: #14cf93;
  z-index: 999;
  /* display: none; */
}

/* HOME */
#home {
  height: 100vh;
  width: 100%;
  /* background-color: #fcfaf8; */
  position: relative;
  z-index: 11;
}

#home #nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 5vw;
  width: 100%;
  height: 115px;
}

#nav a {
  text-decoration: none;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 12px;
  color: black;
  position: relative;
}

#nav a .line {
  position: absolute;
  bottom: 0;
  display: inline-block;
  height: 1px;
  background-color: black;
}

#line1 {
  left: 0;
  width: 0%;
  transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
  transition-delay: 0.2s;
}

#line2 {
  right: 0;
  width: 100%;
  transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
}

#nav a:hover #line1 {
  width: 100%;
}

#nav a:hover #line2 {
  width: 0%;
}

.row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  color: #333;
  padding: 0 4vw;
  margin-top: 5vw;
  /* padding-right: 12vw; */
  line-height: 1;
}

.row h1 {
  font-size: 12vw;
  font-weight: 500;
  font-family: sans-serif;
}

.row .text {
  margin-top: 0vw;
  margin-right: 12vw;
}

.row h5 {
  opacity: 0.8;
  font-size: 13px;
  font-weight: 500;
  text-align: center;
}

.row:nth-child(3) {
  margin-top: 0;
}

.row svg {
  height: 9vw;
  margin: 0 4vw 0 4vw;
}

path,
polyline {
  stroke: #14cf93;
}

@media only screen and (min-width: 300px) and (max-width: 767px) {
  #nav {
    margin-bottom: 15vw;
  }

  #nav a {
    font-size: 10px;
  }

  #home {
    height: 93vh;
    overflow-x: hidden;
  }

  .row {
    display: block;
    padding: 4vw 4vw;
    text-align: center;
  }

  .row h1 {
    font-size: 18vw;
  }

  .text {
    position: absolute;
    top: 75%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .row svg {
    height: 17vw;
    margin-bottom: 5vw;
  }
}

#about {
  /* height: 130vh; */
  width: 100%;
  color: white;
  display: flex;
  position: relative;
  z-index: 11;
  opacity: 0;
}

.aboutLeft {
  width: 60%;
  padding: 7vw 5vw;
  justify-content: center;
  display: flex;
  flex-direction: column;
  opacity: 1;
}

.aboutLeft h1 {
  font-size: 5vw;
  line-height: 5vw;
  margin-bottom: 5vw;
}

.aboutLeft h4 {
  font-size: 2.5vw;
  line-height: 3vw;
  margin-top: 2vw;
  margin-left: -7vw;
}

.aboutLeft p {
  font-size: 1.3vw;
  margin-top: 2vw;
  text-align: justify;
  line-height: 2vw;
}

.aboutLeft a {
  font-size: 1.6vw;
  margin-top: 3vw;
  align-self: flex-end;
  color: #14cf93;
  font-family: "Kaushan Script", cursive;
  letter-spacing: 0.1vw;
  cursor: pointer;
  text-decoration: none;
}

.aboutRight {
  width: 40%;
  scale: 0.8;
  background-image: url("./img/pic.png");
  background-size: cover;
  background-repeat: no-repeat;
  filter: grayscale(0.2);
}

@media only screen and (min-width: 300px) and (max-width: 767px) {
  #about {
    flex-direction: column;
    opacity: 1;
    background-color: #000;
    overflow-x: hidden;
  }

  .aboutLeft {
    width: 100%;
    padding: 17vw 10vw;
    padding-top: 15vh;
  }

  .aboutLeft h1 {
    font-size: 13vw;
    line-height: 15vw;
    margin-bottom: 8vw;
  }

  .aboutLeft p {
    font-size: 4vw;
    line-height: normal;
  }

  .aboutLeft h4 {
    font-size: 5vw;
    line-height: normal;
    margin: 5vw 0vw;
    margin-left: -7.5vw;
    margin-right: 4vw;
  }

  .aboutLeft a {
    font-size: 5vw;
  }

  .aboutRight {
    width: 100%;
    height: 60vh;
    background-size: cover;
    background-position: 0% 15%;
  }
}

#skills {
  height: 120vh;
  width: 100%;
  color: white;
  display: flex;
  overflow: hidden;
  position: relative;
  z-index: 11;
  opacity: 0;
  align-items: center;
}

#circle {
  height: 175vh;
  width: 175vh;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: -88vh;
  transform: translate(0%, -50%) rotate(100deg);
  border: 2px solid #dadada;
  color: black;
}

#skills h1 {
  font-size: 5vw;
  line-height: 5vw;
  width: 25%;
  margin: 0 7vw;
  color: black;
}

.stripe {
  width: 100%;
  height: 60px;
  display: flex;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(0, -50%);
  transform-origin: 0% 50%;
}

.str1 {
  transform: translate(0, -50%) rotate(-30deg);
}
.str2 {
  transform: translate(0, -50%) rotate(-20deg);
}
.str3 {
  transform: translate(0, -50%) rotate(-10deg);
}
.str5 {
  transform: translate(0, -50%) rotate(10deg);
}
.str6 {
  transform: translate(0, -50%) rotate(20deg);
}
.str7 {
  transform: translate(0, -50%) rotate(30deg);
}

.first {
  width: 50%;
  height: 100%;
  position: relative;
}

.first .smcircle {
  height: 0.6vw;
  width: 0.6vw;
  background-color: rgb(126, 126, 126);
  border-radius: 50%;
  position: absolute;
  right: -0.8%;
  top: 50%;
  transform: translate(0, 50%);
}

.second {
  width: 50%;
  height: 100%;
  padding-left: 30px;
  opacity: 0.2;
}

.second h4 {
  font-size: 2vw;
}

.second h6 {
  font-size: 1.3vw;
  opacity: 0.5;
  /* color : #14cf93 */
}

#navPanel {
  width: 5%;
  height: 30%;
  position: absolute;
  top: 50%;
  right: 5%;
  transform: translate(0, -20%);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

.navDots {
  height: 1.5vh;
  width: 1.5vh;
  border-radius: 50%;
  background-color: rgb(84, 84, 84);
  cursor: pointer;
  opacity: 0.15;
  transition: all linear 0.2s;
}
.navDots:hover {
  height: 3vh;
  width: 3vh;
  transition: all linear 0.2s;
}

@media only screen and (min-width: 300px) and (max-width: 767px) {
  #skills {
    flex-direction: column;
    margin-top: 100px;
    opacity: 1;
    height: 105vh;
  }

  #skills h1 {
    font-size: 13vw;
    line-height: 15vw;
    width: 80%;
  }

  #circle {
    height: 79vh;
    width: 79vh;
    border-radius: 50%;
    position: absolute;
    top: 60%;
    left: -71vh;
    transform: translate(0%, -50%) rotate(0deg);
  }

  .first .smcircle {
    height: 1.2vw;
    width: 1.2vw;
    right: -1%;
  }

  .second {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .second h4 {
    font-size: 5vw;
  }

  .second h6 {
    font-size: 3vw;
  }

  #navPanel {
    height: 25%;
  }

  .navDots {
    height: 1.5vh;
    width: 1.5vh;
  }
}

#projects {
  min-height: 100vh;
  width: 100%;
  color: white;
  /* position: relative; */
  /* z-index: -1; */
  padding: 7vw 7vw 12vw 7vw;
  opacity: 0;
}

#projects h1 {
  font-size: 5vw;
  margin-bottom: 2vw;
}

#projects a {
  color: white;
  text-decoration: none;
  opacity: 0.3;
}

#projects .box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 5.5vw;
  padding: 0 1vw;
  border-top: 1px solid #dadada;
  border-bottom: 1px solid #dadada;
}

#projects a:nth-child(2) .box {
  border-top: 2px solid #dadada;
}
#projects a:nth-last-child(1) .box {
  border-bottom: 2px solid #dadada;
}

#projects .box h3 {
  font-size: 1.5vw;
}

#projects a:hover {
  opacity: 0.7;
  transition: opacity ease-out 0.3s;
}

@media only screen and (min-width: 300px) and (max-width: 767px) {
  #projects {
    padding: 15vh 3vh;
    background-color: #000;
    opacity: 1;
  }

  #projects a {
    opacity: 0.5;
  }

  #projects h1 {
    font-size: 13vw;
    line-height: 15vw;
    margin-bottom: 7vh;
  }

  #projects .box {
    height: 30vw;
  }

  #projects .box h3 {
    width: 60%;
    font-size: 5vw;
  }

  #projects .box h4 {
    font-size: 3.5vw;
  }
}

footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
  background-color: #dadada;
  padding: 7vw 7vw;
  height: 50vh;
}

footer .leftSection h3 {
  font-size: 1.7vw;
  opacity: 0.7;
}
footer .leftSection h3:hover {
  opacity: 1;
  cursor: pointer;
}
footer .leftSection a {
  text-decoration-line: none;
  color: black;
}

footer .midSection h1 {
  color: rgb(42, 42, 42);
  display: inline-block;
  font-size: 4vw;
  line-height: 6vw;
}
footer .lastname h1 {
  color: rgb(42, 42, 42);
  display: inline-block;
  font-size: 2vw;
  line-height: 6vw;
}
footer .lastName {
  text-align: center;
}

footer .rightSection {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 22px;
}

.rightSection img {
  width: 30px;
  transition: all linear 0.2s;
}

.rightSection img:hover {
  transform: scale(1.15);
}

@media only screen and (min-width: 300px) and (max-width: 767px) {
  footer {
    flex-direction: column;
    gap: 20px;
    padding-top: 15vw;
  }

  .leftSection {
    order: 2;
  }
  .midSection {
    order: 1;
  }
  .rightSection {
    order: 3;
  }

  footer .midSection {
    height: 15vh;
  }

  footer .midSection h1 {
    font-size: 8vh;
    line-height: 15vw;
  }

  footer .leftSection h3 {
    font-size: 5vw;
    opacity: 0.7;
    text-align: center;
  }
}
